class punct_plan
{
public:
	int coordx;
private:
	int coordy;
protected:
	int coordz;
public:
	punct_plan(){ cout << "\n Constructor punct_plan ";};
	~punct_plan(){ cout << "\n Destructor punct_plan ";};
	void setcoordy(int cy);
	int getcoordy();
	void setcoordz(int cz);
	int getcoordz();
};

class punct_colorat: public punct_plan
{
	int culoare;
public:
	punct_colorat(){ cout << "\n Constructor punct_colorat ";};
	~punct_colorat(){ cout << "\n Destructor punct_colorat ";};
	void setculoare(int cul);
	int getculoare();
};
